<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [hasFiltredData]="isOffersFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
    [results]="(offers$ | async)?.length"
  >
    <div slot="filters" class="filters">
      <mo-input
        formControlName="amount"
        [label]="
          'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.FIRTERS.AMOUNT'
            | translate
        "
        [icon]="'uil-usd-circle'"
        [type]="INPUT_TYPE.NUMBER"
        [iconPosition]="ICON_POSITION.LEFT"
      ></mo-input>
      <mo-input
        formControlName="installments"
        [type]="INPUT_TYPE.NUMBER"
        [label]="
          'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.FIRTERS.NUMBER_OF_INSTALLMENTS'
            | translate
        "
      ></mo-input>

      <div></div>
      <div></div>
      <mo-button
        [text]="'APP.FILTERS.BTN_SEARCH' | translate"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
      >
      </mo-button>
    </div>
  </layout-filter-content>
</form>
